Page MenuHomePhabricator

efl_ui_tab_bar: migrate to Efl.Pack_Linear
ClosedPublic

Authored by bu5hm4n on Aug 23 2019, 10:46 AM.

Details

Summary

with pack linear it is a lot more convinient and error prover to add
items to this widget, this also comes with the pack test suite, which
verifies that this behaviour is not broken. Additionally we have fewer
APIs that a user has to learn.

Depends on D9729

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/tab_bar_work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 13013
bu5hm4n created this revision.Aug 23 2019, 10:46 AM
bu5hm4n requested review of this revision.Aug 23 2019, 10:46 AM
bu5hm4n updated this revision to Diff 24584.Aug 28 2019, 11:43 PM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

woohyun accepted this revision.Aug 29 2019, 4:22 AM
This revision is now accepted and ready to land.Aug 29 2019, 4:22 AM
Closed by commit rEFLffafe749ed9c: efl_ui_tab_bar: migrate to Efl.Pack_Linear (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 29 2019, 5:43 AM
This revision was automatically updated to reflect the committed changes.